Update Subscription
PATCH
/
v1
/
subscriptions
/
{subscription_id}
Update Subscription
curl --request PATCH \
--url https://api-sandbox.y.uno/v1/subscriptions/{subscription_id} \
--header 'Content-Type: application/json' \
--data '
{
"retries": {
"retry_on_decline": true,
"amount": 3
},
"frequency": {
"type": "MONTH",
"value": 1,
"monthly_billing_day": 1
}
}
'import requests
url = "https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}"
payload = {
"retries": {
"retry_on_decline": True,
"amount": 3
},
"frequency": {
"type": "MONTH",
"value": 1,
"monthly_billing_day": 1
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
retries: {retry_on_decline: true, amount: 3},
frequency: {type: 'MONTH', value: 1, monthly_billing_day: 1}
})
};
fetch('https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'retries' => [
'retry_on_decline' => true,
'amount' => 3
],
'frequency' => [
'type' => 'MONTH',
'value' => 1,
'monthly_billing_day' => 1
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}"
payload := strings.NewReader("{\n \"retries\": {\n \"retry_on_decline\": true,\n \"amount\": 3\n },\n \"frequency\": {\n \"type\": \"MONTH\",\n \"value\": 1,\n \"monthly_billing_day\": 1\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}")
.header("Content-Type", "application/json")
.body("{\n \"retries\": {\n \"retry_on_decline\": true,\n \"amount\": 3\n },\n \"frequency\": {\n \"type\": \"MONTH\",\n \"value\": 1,\n \"monthly_billing_day\": 1\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"retries\": {\n \"retry_on_decline\": true,\n \"amount\": 3\n },\n \"frequency\": {\n \"type\": \"MONTH\",\n \"value\": 1,\n \"monthly_billing_day\": 1\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "ACTIVE",
"amount": {
"currency": "<string>",
"value": 123
},
"frequency": {
"type": "<string>",
"value": 123
},
"subscription_agreement_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Path Parameters
Response
200 - application/json
Subscription updated
Available options:
ACTIVE, PAUSED, CANCELLED, EXPIRED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Links this subscription to the initial payment created with the same agreement ID. Used for tracking, reconciliation, and chargeback handling.
Was this page helpful?
⌘I
Update Subscription
curl --request PATCH \
--url https://api-sandbox.y.uno/v1/subscriptions/{subscription_id} \
--header 'Content-Type: application/json' \
--data '
{
"retries": {
"retry_on_decline": true,
"amount": 3
},
"frequency": {
"type": "MONTH",
"value": 1,
"monthly_billing_day": 1
}
}
'import requests
url = "https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}"
payload = {
"retries": {
"retry_on_decline": True,
"amount": 3
},
"frequency": {
"type": "MONTH",
"value": 1,
"monthly_billing_day": 1
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
retries: {retry_on_decline: true, amount: 3},
frequency: {type: 'MONTH', value: 1, monthly_billing_day: 1}
})
};
fetch('https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'retries' => [
'retry_on_decline' => true,
'amount' => 3
],
'frequency' => [
'type' => 'MONTH',
'value' => 1,
'monthly_billing_day' => 1
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}"
payload := strings.NewReader("{\n \"retries\": {\n \"retry_on_decline\": true,\n \"amount\": 3\n },\n \"frequency\": {\n \"type\": \"MONTH\",\n \"value\": 1,\n \"monthly_billing_day\": 1\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}")
.header("Content-Type", "application/json")
.body("{\n \"retries\": {\n \"retry_on_decline\": true,\n \"amount\": 3\n },\n \"frequency\": {\n \"type\": \"MONTH\",\n \"value\": 1,\n \"monthly_billing_day\": 1\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"retries\": {\n \"retry_on_decline\": true,\n \"amount\": 3\n },\n \"frequency\": {\n \"type\": \"MONTH\",\n \"value\": 1,\n \"monthly_billing_day\": 1\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "ACTIVE",
"amount": {
"currency": "<string>",
"value": 123
},
"frequency": {
"type": "<string>",
"value": 123
},
"subscription_agreement_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}